DELETE /twitter/bookmark
Remove a bookmark. Body or query: accountId and tweetId
DELETE
BearerAuthheader
AuthorizationBearer <token>API key sk_...
application/json- body
accountId*stringX account id
tweetId*string{accountId, action, undo, target, reposted | liked | bookmarked | following}
application/json- response
accountId?stringaction?stringValue in
"repost""like""bookmark""follow"undo?booleantarget?stringreposted?booleanliked?booleanbookmarked?booleanfollowing?booleanpendingFollow?booleancurl -X DELETE 'https://example.com/api/v1/twitter/bookmark' \ -H 'Content-Type: application/json' \ -d '{ "accountId": "string", "tweetId": "string"}'Example Response
{ "accountId": "string", "action": "repost", "undo": true, "target": "string", "reposted": true, "liked": true, "bookmarked": true, "following": true, "pendingFollow": true}POST /twitter/bookmark POST
Bookmark a post (private) (Zernio path; the account in the body). LIVE and public (except bookmarks); queued for approval (202) while approval applies
POST /twitter/follow POST
Follow a user (X allows API follows only with Enterprise access since 2026-04-20) (Zernio path; the account in the body). LIVE and public (except bookmarks); queued for approval (202) while approval applies